AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get all banks

Query all supported Banks in a specified country.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/banks/{country}

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

country string required
ISO-2 country code e.g. NG.

FILL IN ALL REQUIRED FIELDS

include_provider_type string
This introduces a field that helps differentiate between a bank and mobile money provider.

FILL IN ALL REQUIRED FIELDS

status string

message string

data array of objects

FILL IN ALL REQUIRED FIELDS

id integer

code string

name string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys